Quantcast

NeBeans IDE 7.1.1でのRuby対応について

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

NeBeans IDE 7.1.1でのRuby対応について

伊藤琢巳
お世話になります。
伊藤です。


プレス発表
プログラム言語Ruby、国際規格として承認
〜日本発のプログラム言語として初のISO/IEC規格に〜
http://www.ipa.go.jp/about/press/20120402_2.html


このプレスリリースをみてRubyに興味を持ちました。
以前NetBensではRubyが扱えたと記憶しているのですが、
最新の7.1.1の使用可能なプラグインにRubyが見つかりませんでした。


下記のカタログを見たところrubyの文字はあるのですが、どのようにすればRubyが
有効になるのかご存じの方おられますでしょうか?
http://dlc.sun.com.edgesuite.net/netbeans/updates/7.1.1/uc/final/distribution/catalog_ja.xml

試しにcatalog_ja.xmlを新しいプロバイダとして追加して見ましたが出てきませんでした。

よろしくお願いします。

--
伊藤琢巳
[hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: NeBeans IDE 7.1.1でのRuby対応について

ubuntu
ubuntu です。

ここの記事が参考になるかもしれませんし、ならないかもしれません。

http://www.oiax.jp/rails/zakkan/how_to_install_rails_plugin_on_netbeans_7_1.html


Tue, 3 Apr 2012 22:29:25 +0900 <[hidden email]> wrote:

> お世話になります。
> 伊藤です。
>
>
> プレス発表
> プログラム言語Ruby、国際規格として承認
> 〜日本発のプログラム言語として初のISO/IEC規格に〜
> http://www.ipa.go.jp/about/press/20120402_2.html
>
>
> このプレスリリースをみてRubyに興味を持ちました。
> 以前NetBensではRubyが扱えたと記憶しているのですが、
> 最新の7.1.1の使用可能なプラグインにRubyが見つかりませんでした。
>
>
> 下記のカタログを見たところrubyの文字はあるのですが、どのようにすればRubyが
> 有効になるのかご存じの方おられますでしょうか?
> http://dlc.sun.com.edgesuite.net/netbeans/updates/7.1.1/uc/final/distribution/catalog_ja.xml
>
> 試しにcatalog_ja.xmlを新しいプロバイダとして追加して見ましたが出てきませんでした。
>
> よろしくお願いします。
>
> --
> 伊藤琢巳
> [hidden email]



--
[hidden email]

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: NeBeans IDE 7.1.1でのRuby対応について

Hiroshi Kubo
In reply to this post by 伊藤琢巳
伊藤さん,

From: 伊藤琢巳 <[hidden email]>
Date: Tue, 3 Apr 2012 22:29:25 +0900

> このプレスリリースをみてRubyに興味を持ちました。
> 以前NetBensではRubyが扱えたと記憶しているのですが、
> 最新の7.1.1の使用可能なプラグインにRubyが見つかりませんでした。
>
>
> 下記のカタログを見たところrubyの文字はあるのですが、どのようにすればRubyが
> 有効になるのかご存じの方おられますでしょうか?
> http://dlc.sun.com.edgesuite.net/netbeans/updates/7.1.1/uc/final/distribution/catalog_ja.xml
>
> 試しにcatalog_ja.xmlを新しいプロバイダとして追加して見ましたが出てきませんでした。

私はRubyは使っていないしRubyの知識もほとんどありませんがNetBeansのこと
は気がかりですので調べてみました。

issue207075が原因のようで,回避手段が提案されています。その提案に従って
回避手段をインストールしたところ File>New Projectしたら Project
Categoriesの一つとしてRubyが表れました。私にできることはそこまでです。
すみません。

回避手段の説明は下記にあります。
Workaround for Ruby support on Netbeans 7.1
http://blog.enebo.com/2012/01/workaround-for-ruby-support-on-netbeans.html

このページに案内してくれたのは下記Greertjanのブログ記事です。
Ruby Development in NetBeans IDE 7.1
By Geertjan on Jan 17, 2012
https://blogs.oracle.com/geertjan/entry/ruby_development_in_netbeans_ide1

お役にたてれば幸いです。

---久保
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: NeBeans IDE 7.1.1でのRuby対応について

伊藤琢巳
In reply to this post by ubuntu
ubuntuさん
ありがとうございます。
参考にさせて頂きます。

2012年4月4日0:45 ubuntu <[hidden email]>:

> ubuntu です。
>
> ここの記事が参考になるかもしれませんし、ならないかもしれません。
>
> http://www.oiax.jp/rails/zakkan/how_to_install_rails_plugin_on_netbeans_7_1.html
>
>
> Tue, 3 Apr 2012 22:29:25 +0900 <[hidden email]> wrote:
>
>> お世話になります。
>> 伊藤です。
>>
>>
>> プレス発表
>> プログラム言語Ruby、国際規格として承認
>> 〜日本発のプログラム言語として初のISO/IEC規格に〜
>> http://www.ipa.go.jp/about/press/20120402_2.html
>>
>>
>> このプレスリリースをみてRubyに興味を持ちました。
>> 以前NetBensではRubyが扱えたと記憶しているのですが、
>> 最新の7.1.1の使用可能なプラグインにRubyが見つかりませんでした。
>>
>>
>> 下記のカタログを見たところrubyの文字はあるのですが、どのようにすればRubyが
>> 有効になるのかご存じの方おられますでしょうか?
>> http://dlc.sun.com.edgesuite.net/netbeans/updates/7.1.1/uc/final/distribution/catalog_ja.xml
>>
>> 試しにcatalog_ja.xmlを新しいプロバイダとして追加して見ましたが出てきませんでした。
>>
>> よろしくお願いします。
>>
>> --
>> 伊藤琢巳
>> [hidden email]
>
>
>
> --
> [hidden email]
>



--
伊藤琢巳
[hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: NeBeans IDE 7.1.1でのRuby対応について

伊藤琢巳
In reply to this post by ubuntu
ubuntuさん
一久保さん

伊藤です。

JRubyをNetBeansで動かすことが出来ました。
言語についてはまだ勉強を始める段階ですが、動作する環境を構築する事が出来ました。

ありがとうございました。


Windows7 の NetBeans 7.1.1 でJRuby (on Rails)を実行する手順
http://d.hatena.ne.jp/Tackn1977/20120405/1333584577
--
伊藤琢巳
[hidden email]
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: NeBeans IDE 7.1.1でのRuby対応について

eiichi_maekawa
前川です。

Ruby187p357では、ブレークポイントで、止まりましたが、
その他のバージョンでは、エラーとなります。

Ruby1.9.2p290;;レスポンスなし デバッガの記述も出てきません

Ruby1.9.3p0で実行した場合のエラーメッセージ

Fast Debugger (ruby-debug-ide 0.4.9) listens on :1865
Exception in DebugThread loop: undefined method `is_binary_data?' for
"#<Demo::Main:0x16e1440>":String

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby-debug-ide19-0.4.12/lib/ruby-debug/event_processor.rb:20:in
 `at_breakpoint'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby-debug-ide19-0.4.12/lib/ruby-debug-ide.rb:55:in
 `at_breakpoint'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/gtk2-0.90.8-x86-mingw32/sample/gtk-demo/main.rb:59:in
 `initialize'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/gtk2-0.90.8-x86-mingw32/sample/gtk-demo/main.rb:377:in
 `new'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/gtk2-0.90.8-x86-mingw32/sample/gtk-demo/main.rb:377:in
 `<top (required)>'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby-debug-ide19-0.4.12/lib/ruby-debug-ide.rb:123:in
 `debug_load'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby-debug-ide19-0.4.12/lib/ruby-debug-ide.rb:123:in
 `debug_program'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby-debug-ide19-0.4.12/bin/rdebug-ide:87:in
 `<top (required)>'
        D:/Ruby193p0/bin/rdebug-ide:19:in `load'
        D:/Ruby193p0/bin/rdebug-ide:19:in `<main>'
Uncaught exception: @last_breakpoint supposed to be nil. is
#<Debugger::Breakpoint:0x1107750>

また、netbeans7.0.1では、上記のバージョンでも、ブレークポイントで止まりま
す。




> ubuntuさん
> 一久保さん
>
> 伊藤です。
>
> JRubyをNetBeansで動かすことが出来ました。
> 言語についてはまだ勉強を始める段階ですが、動作する環境を構築する事が
> 出来ました。
>
> ありがとうございました。
>
>
> Windows7 の NetBeans 7.1.1 でJRuby (on Rails)を実行する手順
> http://d.hatena.ne.jp/Tackn1977/20120405/1333584577
> --
> 伊藤琢巳
> [hidden email]
>
> ====

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: NeBeans IDE 7.1.1でのRuby対応について

eiichi_maekawa
In reply to this post by 伊藤琢巳

前川です。

Ruby187 では、ブレークポイントで止まります。

Ruby192 では、ブレークポイントで止まらず、デバッガ情報も帰ってきません。

Ruby193 では、エラーメッセージが出ます。

エラーメッセージは、以下

Fast Debugger (ruby-debug-ide 0.4.9) listens on :1865
Exception in DebugThread loop: undefined method `is_binary_data?' for
"#<Demo::Main:0x16e1440>":String

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby-debug-ide19-0.4.12/lib/ruby-debug/event_processor.rb:20:in
 `at_breakpoint'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby-debug-ide19-0.4.12/lib/ruby-debug-ide.rb:55:in
 `at_breakpoint'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/gtk2-0.90.8-x86-mingw32/sample/gtk-demo/main.rb:59:in
 `initialize'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/gtk2-0.90.8-x86-mingw32/sample/gtk-demo/main.rb:377:in
 `new'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/gtk2-0.90.8-x86-mingw32/sample/gtk-demo/main.rb:377:in
 `<top (required)>'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby-debug-ide19-0.4.12/lib/ruby-debug-ide.rb:123:in
 `debug_load'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby-debug-ide19-0.4.12/lib/ruby-debug-ide.rb:123:in
 `debug_program'

D:/Ruby193p0/lib/ruby/gems/1.9.1/gems/ruby-debug-ide19-0.4.12/bin/rdebug-ide:87:in
 `<top (required)>'
        D:/Ruby193p0/bin/rdebug-ide:19:in `load'
        D:/Ruby193p0/bin/rdebug-ide:19:in `<main>'
Uncaught exception: @last_breakpoint supposed to be nil. is
#<Debugger::Breakpoint:0x1107750>

ちなみに、NetBeans7.0.1では、上記バージョン、すべて、正常に動作します。



> ubuntuさん
> 一久保さん
>
> 伊藤です。
>
> JRubyをNetBeansで動かすことが出来ました。
> 言語についてはまだ勉強を始める段階ですが、動作する環境を構築する事が
> 出来ました。
>
> ありがとうございました。
>
>
> Windows7 の NetBeans 7.1.1 でJRuby (on Rails)を実行する手順
> http://d.hatena.ne.jp/Tackn1977/20120405/1333584577
> --
> 伊藤琢巳
> [hidden email]
>
> ====

Loading...